## redsocks 0.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-OBJS := parser.o main.o redsocks.o log.o http-connect.o socks4.o socks5.o http-relay.o base.o base64.o md5.o http-auth.o utils.o redudp.o dnstc.o
+OBJS := parser.o main.o redsocks.o log.o http-connect.o socks4.o socks5.o http-relay.o base.o base64.o md5.o http-auth.o utils.o redudp.o dnstc.o gen/version.o
 SRCS := $(OBJS:.o=.c)
 CONF := config.h
 DEPS := .depend
 OUT := redsocks
+VERSION := 0.4
 
 LIBS := -levent
 CFLAGS += -g -O2
@@ -28,6 +29,27 @@
 		echo "/* Unknown system, only generic firewall code is compiled */" >$(CONF) \
 		;; \
 	esac
+
+# Dependency on .git is useful to rebuild `version.c' after commit, but it breaks non-git builds.
+gen/version.c: *.c *.h gen/.build
+	rm -f $@.tmp
+	echo '/* this file is auto-generated during build */' > $@.tmp
+	echo '#include "../version.h"' >> $@.tmp
+	echo 'const char* redsocks_version = ' >> $@.tmp
+	if [ -d .git ]; then \
+		echo '"redsocks.git/'`git describe --tags`'"'; \
+		if [ `git status --porcelain | grep -v -c '^??'` != 0 ]; then \
+			echo '"-unclean"'; \
+		fi \
+	else \
+		echo '"redsocks/$(VERSION)"'; \
+	fi >> $@.tmp
+	echo ';' >> $@.tmp
+	mv -f $@.tmp $@
+
+gen/.build:
+	mkdir -p gen
+	touch $@
 
 base.c: $(CONF)
 
@@ -64,3 +86,4 @@
 
 distclean: clean
 	$(RM) tags $(DEPS)
+	$(RM) -r gen
