=== debian/changelog ===
redsocks (0.5-2) unstable; urgency=medium

  * Fix http-relay and http-connect modes with libevent 2.1 (Closes: #892872)
  * Bump Standards-Version to 4.1.3; no changes needed
  * Bump dh compat to 11
    + Drop B-D on dh-systemd
    + Do not pass --with=systemd to dh
  * Switch Vcs-* URLs to salsa.d.o
  * d/copyright: bump debian/* years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 29 Mar 2018 23:05:32 +0300

redsocks (0.5-1) unstable; urgency=medium

  * New upstream release
  * Drop patches merged upstream
    + 0001-Fix-bug-in-DNS-resolution-results-were-ignored-since.patch
    + add_external_diagram_links
  * Refresh fix_default_config_location.patch
  * Disable running tests on build
  * Do not ship README.html; it is the same as README but contains references
    to external resources.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 02 Jan 2017 14:18:48 +0200
