=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), libevent-dev, dh-systemd (>= 1.5)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), libevent-dev
+Standards-Version: 4.1.3
 Homepage: http://darkk.net.ru/redsocks/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/redsocks.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/redsocks.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/redsocks.git
+Vcs-Browser: https://salsa.debian.org/debian/redsocks
 
 Package: redsocks
 Architecture: any
