=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with systemd
+	dh $@
+
+.PHONY: override_dh_auto_test
