=== debian/watch ===
version=3

# Use githubredir.debian.net for the time being
opts=dversionmangle=s/\+dfsg$// \
  https://github.com/darkk/redsocks/releases .*/release-(.*).tar.gz
